import { getItemEnumName } from '@/services/bus/allEnum';
import * as EnumType from './enumCommon';

/**
 * 获取证件类型枚举名称
 * @param enumdicid
 * @returns
 */
export function getCardTypeEnumItemName(enumdicid: number): string {
    return getItemEnumName('certificatetype', enumdicid)
}

/**
 *获取仓登录状态枚举名称
 */
export function getLoginStatusEnumItemName(enumdicid: number): string {
    return getItemEnumName('loginstatus', enumdicid)
}

/**
 *获取单位枚举名称
 */
export function getGoodsUnitEnumItemName(enumdicid: number): string {
    return getItemEnumName('goodsunit', enumdicid)
}

/**
 *获取仓库类型枚举名称
 */
export function getWarehouseTypeEnumItemName(enumdicid: number): string {
    return getItemEnumName('warehouseinfoType', enumdicid)
}

/**
 *获取币种类型枚举名称
 */
export function getPayCurrencyTypeEnumItemName(enumdicid: number): string {
    return getItemEnumName('paycurrency', enumdicid)
}

/**
 *获取套保计划类型枚举名称
 */
export function getSpotContractTypeEnumItemName(enumdicid: number): string {
    return getItemEnumName('spotContractType', enumdicid)
}


/**
 *资金枚举名称
 */
export function getOperateTypeEnumItemName(enumdicid: number): string {
    return getItemEnumName('operateType', enumdicid)
}




/****************  页面枚举  *******************/
/**
 * 获取客户资料状态
 * @param state
 */
export function getStatusName(state: number): string {
    let result = "--";
    switch (state) {
        case 1:
            result = "待激活";
            break
        case 2:
            result = "待审核";
            break
        case 3:
            result = "待复审";
            break
        case 4:
            result = "正常";
            break
        case 5:
            result = "审核拒绝";
            break
        case 6:
            result = "停用（注销）";
            break
        case 7:
            result = "注销（删除）";
            break
    }
    return result
}

/**
 * 网上开户表里面的状态枚举
 * @param state
 */
export function getWSKHStatusName(state: number): string {
    let result = "--";
    switch (state) {
        case 1:
            result = "未提交";
            break
        case 2:
            result = "待初审";
            break
        case 3:
            result = "初审拒绝";
            break
        case 4:
            result = "待复审";
            break
        case 5:
            result = "复审拒绝";
            break
        case 6:
            result = "测评不通过";
            break
    }
    return result
}

/**
 * 获取现货品种状态
 * @param type :未激活 1:正常
 */
export function getValidName(type: number) {
    let result = "--";
    switch (type) {
        case 0:
            result = "未激活";
            break
        case 1:
            result = "正常";
            break
    }
    return result
}

/**
 * 定价类型 - 1:一口价 2:点价 3:暂定价
 * @param pricetype 定价类型
 */
export function getPriceTypeName(pricetype: number): string {
    let result = "--";
    switch (pricetype) {
        case 1:
            result = "一口价";
            break
        case 2:
            result = "点价";
            break
        case 3:
            result = "暂定价";
            break
    }
    return result
}

/**
 * 现货合同状态返回
 * @param state
 * //合同状态 - number;
 //0:未提交 1:待审核 2:执行中 3:正常完结 4:审核拒绝 5:异常完结 6:已撤回
 */
export function getContractStatusName(state: number): string {
    let result = "--";
    switch (state) {
        case 0:
            result = "未提交";
            break;
        case 1:
            result = "待审核";
            break
        case 2:
            result = "执行中";
            break
        case 3:
            result = "正常完结";
            break
        case 4:
            result = "审核拒绝";
            break
        case 5:
            result = "异常完结";
            break
        case 6:
            result = "已撤回";
            break
    }
    return result
}

/**
 * 业务类型返回 业务类型 1-套保 2-套利
 * @param state
 */
export function getBizTypeName(state: number): string {
    let result = "--";
    switch (state) {
        case 1:
            result = "套保";
            break
        case 2:
            result = "套利";
            break
    }
    return result
}

/**
 * 获取合同类型名称 现货合同类型 - 1:采购 -1:销售
 */
export function getContractTypeName(type: number): string {
    let result = "--";
    switch (type) {
        case 1:
            result = "采购"
            break;
        case -1:
            result = "销售"
            break;
    }
    return result
}

/**
 * 业务审核-点价-状态
 * @param type 申请状态 - 1:待审核 2:审核通过 3:审核拒绝 4:处理失败 5:已撤回
 */
export function getApplyStatusName(type: number): string {
    let result = "--";
    switch (type) {
        case 1:
            result = "待审核";
            break
        case 2:
            result = "审核通过";
            break
        case 3:
            result = "审核拒绝";
            break
        case 4:
            result = "处理失败";
            break
        case 5:
            result = "已撤回";
            break
    }
    return result
}

/**
 * 千海金-提货申请-状态
 * @param type 1:备货中 2:待取货(自提) 3:已取货(自提) 4:待收货(邮寄) 5:已收货(邮寄) 6:自动收货(邮寄) 7:已拒绝 8:已撤销
 */
export function getPickUpStateName(type: number): string {
    let result = "--";
    switch (type) {
        case 1:
            result = "备货中";
            break
        case 2:
            result = "待取货";
            break
        case 3:
            result = "已取货";
            break
        case 4:
            result = "待收货";
            break
        case 5:
            result = "已收货";
            break
        case 6:
            result = "自动收货";
            break
        case 7:
            result = "已拒绝";
            break
        case 8:
            result = "已撤销";
            break
    }
    return result
}

/**
 * 千海金-收货方式
 * @param type  2:自提 3:配送(邮寄)
 */
export function getTakeStateName(type: number): string {
    let result = "--";
    switch (type) {
        case 2:
            result = "自提";
            break
        case 3:
            result = "配送(邮寄)";
            break
    }
    return result
}

/**
 * 千海金-策略状态
 * @param type 1:正常 2:暂停 3:终止
 */
export function getRegularStateName(type: number): string {
    let result = "--";
    switch (type) {
        case 1:
            result = "正常";
            break
        case 2:
            result = "暂停";
            break
        case 3:
            result = "终止";
            break
    }
    return result
}

// 1:待确认 2:已确认 3:确认拒绝 4:已支付保证金 5:已激活 6:已违约 7:到期结束 8:延期结束 9:违约结束 10:已注销 11:已关闭 99:未提交

//1:待确认 2:已确认 3:确认拒绝 4:已支付保证金 5:已激活 6:已违约 7:到期结束 8:延期结束 9:违约结束 10:已注销 11:已关闭 99:未提交
export function getContractName(type: number): string {
    let result = "--";
    switch (type) {
        case 1:
            result = "待确认";
            break
        case 2:
            result = "已确认";
            break
        case 3:
            result = "确认拒绝";
            break
        case 4:
            result = "已支付保证金";
            break
        case 5:
            result = "已激活";
            break
        case 6:
            result = "已违约";
            break
        case 7:
            result = "到期结束";
            break
        case 8:
            result = "延期结束";
            break
        case 9:
            result = "违约结束";
            break
        case 10:
            result = "已注销";
            break
        case 11:
            result = "已关闭";
            break
        case 99:
            result = "未提交";
            break
    }
    return result
}

export function getFinancingStatus(status: number, price: String): String {
    let result = "--";
    switch (status) {
        case 1:
            result = "正常";
            break
        case 2:
            result = "预警"
            break
        case 3:
            result = "支付尾款" + price + "元";
            break
    }
    return result;
}


//委托状态 - 1： 委托请求 2：待冻结 3：委托成功 4： 委托失败 5：配对成功 6： 已撤销 7：部分成交 8：已成交 9：部成部撤 10：成交失败 11：已拒绝 12:经过摘牌(先摘后挂专用-先摘后挂已摘过) 13:冻结成功(通道交易专用) 14:通道已撤 15:通道部成部撤 16:成交失败违约(荷兰式竞拍专用)
export function getOrderStatusName(type: number): string {
    let result = "--";
    switch (type) {
        case 1:
            result = "委托请求";
            break
        case 2:
            result = "待冻结";
            break
        case 3:
            result = "委托成功";
            break
        case 4:
            result = "委托失败";
            break
        case 5:
            result = "配对成功";
            break
        case 6:
            result = "已撤销";
            break
        case 7:
            result = "部分成交";
            break
        case 8:
            result = "已成交";
            break
        case 9:
            result = "部成部撤";
            break
        case 10:
            result = "成交失败";
            break
        case 11:
            result = "已拒绝";
            break
        case 12:
            result = "经过摘牌";
            break
        case 13:
            result = "冻结成功";
            break
        case 14:
            result = "通道已撤";
            break
        case 15:
            result = "通道部成部撤";
            break
        case 16:
            result = "成交失败违约";
            break
        case 17:
            result = "冻结PD成功";
            break
        case 18:
            result = "冻结PD失败";
            break
        case 19:
            result = "冻结能量成功";
            break
        case 20:
            result = "冻结能量失败";
            break
        case 21:
            result = "预约已报价";
            break
        case 22:
            result = "过期未付";
            break
        case 23:
            result = "优惠券处理中";
            break
    }
    return result
}

/**
 * 中文weekday
 * @param type
 */
export function getWeekName(type: string): string {
    let result = "--";
    switch (type) {
        case "1":
            result = "周一";
            break
        case "2":
            result = "周二";
            break
        case "3":
            result = "周三";
            break
        case "4":
            result = "周四";
            break
        case "5":
            result = "周五";
            break
    }
    return result
}


/**
 * 获取对应协议枚举对应名
 * @param type
 * @returns
 */
export function getAgreementTypeName(type: EnumType.AgreementType): string {
    let result = '--'
    switch (type) {
        case EnumType.AgreementType.register:
            result = '注册'
            break
        case EnumType.AgreementType.login:
            result = '登录'
            break
        case EnumType.AgreementType.trade:
            result = '交易'
            break
    }
    return result
}

/**
 * 获取协议状态
 * @param isvalid
 */
export function getAgreementStatus(isvalid: number): string {
    let result = '--'
    switch (isvalid) {
        case 1:
            result = '正常'
            break
        case 2:
            result = '停用'
            break
        case 3:
            result = '注销'
            break
    }
    return result
}

/**
 * 持仓方向
 * @param buyOrSell
 */
export function getBuyOrSellName(buyorsell: number): string {
    let result = '--'
    switch (buyorsell) {
        case 0:
            result = '买'
            break
        case 1:
            result = '卖'
            break
    }
    return result
}

/**
 * 变更流水类型
 * 1:套保比率变更 2:套利比率变更
 */
export function getChangeLogType(changelogtype: number) {
    let result = '--'
    switch (changelogtype) {
        case 1:
            result = '套保比率'
            break
        case 2:
            result = '套利比率'
            break
    }
    return result
}

//仓单委托状态
// 委托状态 - 1:委托请求 2:待冻结 3:委托成功 4:委托失败 5:配对成功 6:已撤 7:已成 8:成交失败 9:委托拒绝 10:挂牌部分成交 11:仓单生成失败 12:首付扣款失败 13:履约失败 14:撤单解冻贷款失败 15:部成部撤
export function getWrTradeOrderStatusName(type: number) {
    let result = '--'
    switch (type) {
        case 1:
            result = '委托请求'
            break
        case 2:
            result = '待冻结'
            break
        case 3:
            result = '委托成功'
            break
        case 4:
            result = '委托失败'
            break
        case 5:
            result = '配对成功'
            break
        case 6:
            result = '已撤'
            break
        case 7:
            result = '已成'
            break
        case 8:
            result = '成交失败'
            break
        case 9:
            result = '委托拒绝'
            break
        case 10:
            result = '挂牌部分成交'
            break
        case 11:
            result = '仓单生成失败'
            break
        case 12:
            result = '首付扣款失败'
            break
        case 13:
            result = '履约失败'
            break
        case 14:
            result = '撤单解冻贷款失败'
            break
        case 15:
            result = '部成部撤'
            break
    }
    return result
}

/**
 * 挂牌类型  卖入 买入 卖出
 * @param buyOrSell 买卖 - 0:买 1:卖(挂牌类型 买为采购 卖为销售)
 * @param wrTradeType 1:挂牌 2:摘牌
 */
export function getWrOrderTypeName(buyOrSell: number, wrTradeType: number) {
    let result = '--'
    if (buyOrSell === 0 && wrTradeType === 1) {
        result = "买入"
    } else if (buyOrSell === 1 && wrTradeType === 1) {
        result = "卖出"
    } else if (buyOrSell === 0 && wrTradeType === 2) {
        result = "买入"
    } else if (buyOrSell === 1 && wrTradeType === 2) {
        result = "卖出"
    }
    return result
}

/**
 * 履约类型 - 0:通用 1:交割 2:仓单贸易 3:预售集采 4:竞拍-降价式 (无仓单) 5:挂牌期权 6:竞拍-降价式 7:竞拍-竞价式 8:竞拍-大宗式 9:荷兰式 10:法币C2C 11:报价系统 12:挂牌系统
 * /-仓单预售 1-仓单贸易
 * @param type
 */
export function getPerformanceTypeName(type: number, haswr: number) {
    let result = '--'
    switch (type) {
        case 0:
            result = '通用'
            break
        case 1:
            result = '交割'
            break
        case 2:
            result = '预售仓单'
            if(haswr === 1){
                result = '仓单贸易'
            }else{
                result = '仓单预售'
            }
            break
        case 3:
            result = '预售采集'
            break
        case 4:
            result = '竞拍-降价式 (无仓单)'
            break
        case 5:
            result = '挂牌期权 (无仓单)'
            break
        case 6:
            result = '竞拍-降价式'
            break
        case 7:
            result = '竞拍-竞价式'
            break
        case 8:
            result = '竞拍-大宗式'
            break
        case 9:
            result = '竞拍-荷兰式'
            break
        case 10:
            result = '法币C2C'
            break
        case 11:
            result = '报价系统'
            break
        case 12:
            result = '挂牌系统'
            break
    }
    return result
}

/**
 * 履约状态 1:初始化 2:正常 3:处理错误 4:违约待处理 5:违约处理中 6:完成 7.违约已完成 8:释放冻结失败 9:超时待处理 10:超时关闭
 * @param type
 */
export function getPerformanceStatusName(type: number) {
    let result = '--'
    switch (type) {
        case 1:
            result = '待激活'
            break
        case 2:
            result = '正常'
            break
        case 3:
            result = '处理错误'
            break
        case 4:
            result = '违约待处理'
            break
        case 5:
            result = '违约处理中'
            break
        case 6:
            result = '完成'
            break
        case 7:
            result = '违约已完成'
            break
        case 8:
            result = '释放冻结失败'
            break
        case 9:
            result = '超时待处理'
            break
        case 10:
            result = '超时关闭'
            break
    }
    return result
}

/**
 * 付款方式 - 1:冻结 2:扣款
 */
export function getPaymentTypeName(type: number) {
    let result = '--'
    switch (type) {
        case 1:
            result = '冻结'
            break
        case 2:
            result = '扣款'
            break
    }
    return result
}

/**
 * 类型 - 1:套保计划 2:现货合同
 * @param type
 */
export function getLogType(logtype: number) {
    let result = "--"
    switch (logtype) {
        case 1:
            result = '套保计划'
            break
        case 2:
            result = '现货合同'
            break
    }
    return result
}

/**
 * 开平方向
 * @param type 1-建仓 2-平仓
 */
export function getChannelBuildName(type: number) {
    let result = "--"
    switch (type) {
        case 1:
            result = '建仓'
            break
        case 2:
            result = '平仓'
            break
    }
    return result
}

/**
 * 发票类型  采购： 收票  销售： 开票
 * @param type
 */
export function getReceiptName(type: number) {
    let result = "--"
    switch (type) {
        case 1:
            result = '收票'
            break
        case -1:
            result = '开票'
            break
    }
    return result
}

/**
 * 融资类型
 * @param type
 */
export function getFinanceTypeName(type: number) {
    let result = "--"
    switch (type) {
        case 1:
            result = '融资回购'
            break
    }
    return result
}

/**
 * 融资申请状态 申请状态 - 1:待审核 2.审核中 3:审核通过 4:审核拒绝 5:审核失败 6:已撤销 7:自动审核 8:融资失败
 */
export function getApplyStatusFinanceName(type: number) {
    let result = "--"
    switch (type) {
        case 1:
            result = '待审核'
            break
        case 2:
            result = '审核中'
            break
        case 3:
            result = '审核通过'
            break
        case 4:
            result = '审核拒绝'
            break
        case 5:
            result = '审核失败'
            break
        case 6:
            result = '已撤销'
            break
        case 7:
            result = '自动审核'
            break
        case 8:
            result = '融资失败'
            break
    }
    return result
}

//:预约成功 1:待初审 2:初审通过 3:初审拒绝 4:初审失败 5复审通过 6:复审拒绝 7:复审失败 8:已撤销
export function getPickUpTypeName(type: number) {
    let result = "--"
    switch (type) {
        case 0:
            result = "预约成功"
            break;
        case 1:
            result = '待审核'
            break
        case 2:
            result = '初审通过'
            break
        case 3:
            result = '初审拒绝'
            break
        case 4:
            result = '初审失败'
            break
        case 5:
            result = '复审通过'
            break
        case 6:
            result = '复审拒绝'
            break
        case 7:
            result = '复审失败'
            break
        case 8:
            result = '已撤销'
            break
    }
    return result
}

//申请类型 - 1:预约入库 2:预约出库 3:入库注册 4:出库注销
export function getPickUpStatusName(type: number) {
    let result = "--"
    switch (type) {
        case 1:
            result = '预约入库'
            break
        case 2:
            result = '预约出库'
            break
        case 3:
            result = '入库注册'
            break
        case 4:
            result = '出库注销'
            break
    }
    return result
}


/**
 * //合同状态 - 1:待确认 2:已确认 3:确认拒绝 4:已支付保证金 5:已激活 6:已违约 7:到期结束 8:延期结束 9:违约结束 1number;
 //:已注销 11:已关闭 99:未提交
 * @param type
 */
export function getScfContractStatusName(type: number) {
    let result = "--"
    switch (type) {
        case 1:
            result = '待审核'
            break
        case 2:
            result = '审核中'
            break
        case 3:
            result = '审核通过'
            break
        case 4:
            result = '审核拒绝'
            break
        case 5:
            result = '审核失败'
            break
        case 6:
            result = '已撤销'
            break
        case 7:
            result = '自动审核'
            break
        case 8:
            result = '融资失败'
            break
    }
    return result
}

//scfcontracttype: number;//合同类型 - 1:仓单回购 2:仓单质押 3:合作套保 4:资金贷款 5:融资单 6:融资回购
export function getScfContractTypeName(type: number) {
    let result = "--"
    switch (type) {
        case 1:
            result = '仓单回购'
            break
        case 2:
            result = '仓单质押'
            break
        case 3:
            result = '合作套保'
            break
        case 4:
            result = '资金贷款'
            break
        case 5:
            result = '融资单'
            break
        case 6:
            result = '融资回购'
            break
    }
    return result
}

// <!-- 结算方式 1:按日结息 3:按月结息-->
export function getInterestSettleModeName(type: number) {
    let result = "--"
    switch (type) {
        case 1:
            result = '按日结息'
            break
        case 3:
            result = '按月结息'
            break
    }
    return result
}

//    interestratemode: number;//利率方式 - 1:年利率 2:日利率 3:日固定值
export function getInterestrateModeName(mode: number, value: number) {
    let result = "--"
    switch (mode) {  // 1:年利率
        case 1:
            result = (value * 100).toFixed(2).toString()
            break
        case 2: //  2:日利率
            result = (value * 10000).toFixed(2).toString()
            break
        case 3: // 日固定值
            result = value.toFixed(2).toString()
            break;
    }
    return result
}

/**
 *     buildtype	:number;//委托单据类型 - 1:建仓 2:平仓 3:先平后建
 */
export function getBuildTypeName(buildtype: number) {
    let result = "--"
    switch (buildtype) {  // 1:年利率
        case 1:
            result = "建仓"
            break
        case 2:
            result = "平仓"
            break
        case 3:
            result = "先平后建"
            break;
    }
    return result
}

/**
 * 资金操作类型
 * 资金操作类型 (AccountFundCmdOp)- 101:入金 102:入金手续费 103:出金 104:出金冻结 105:出金解冻 106:出金手续费 107:出金手续费冻结 108:出金手续费解冻
 * 201:交易冻结 202:交易解冻 203:交易占用 204:交易解占用 205:交易手续费冻结 206:交易手续费解冻 207:交易手续费 208:交易货款 209:交易盈亏
 * 301:交割冻结 302:交割解冻 303:交割手续费 304:交割手续费冻结 305:交割手续费解冻 306:交割货款 307:交割税款 401:结算盈亏 402:结算递延费 403:分润收入
 * 404:延期分润 501:授信增加 502:授信减少 503:转积分 504:转入 505:转出 506:转出冻结 507:转出解冻 601:履约金额冻结 602:履约最大冻结 603:履约金额解冻 604:履约扣款
 * 605:履约收款 606:履约违约手续费 607:履约违约收入 608:履约最大扣款 701:供应链金融冻结 702:供应链金融解冻 703:供应链金融最大冻结 704:供应链金融利息 705:供应链金融货款
 * 706:供应链金融押金 707:供应链金融最大扣款 801:仓单贸易冻结 802:仓单贸易解冻 803:仓单贸易首付款 804:仓单贸易最大扣款 901:商城扣款冻结 902:商城扣款解冻 903:商城扣款
 * 904:商城收款 1001:期权冻结 1002:期权解冻 1003:期权权力金 1004:期权手续费冻结 1005:期权手续费解冻 1006:期权手续费 1007:期权盈亏 1101:营销扣款 1102:营销收款
 * @param type
 */
export function getOperateTypeName(type: number) {
    let result = '--'
    switch (type) {
        case 101:
            result = '入金'
            break
        case 102:
            result = '入金手续费'
            break
        case 103:
            result = '出金'
            break
        case 104:
            result = '出金冻结'
            break
        case 105:
            result = '出金解冻'
            break
        case 106:
            result = '出金手续费'
            break
        case 107:
            result = '出金手续费冻结'
            break
        case 108:
            result = '出金手续费解冻'
            break
        case 201:
            result = '交易冻结'
            break
        case 202:
            result = '交易解冻'
            break
        case 203:
            result = '交易占用'
            break
        case 204:
            result = '交易解占用'
            break
        case 205:
            result = '交易手续费冻结'
            break
        case 206:
            result = '交易手续费解冻'
            break
        case 207:
            result = '交易手续费'
            break
        case 208:
            result = '交易货款'
            break
        case 209:
            result = '交易盈亏'
            break
        case 301:
            result = '交割冻结'
            break
        case 302:
            result = '交割解冻'
            break
        case 303:
            result = '交割手续费'
            break
        case 304:
            result = '交割手续费冻结'
            break
        case 305:
            result = '交割手续费解冻'
            break
        case 306:
            result = '交割货款'
            break
        case 307:
            result = '交割税款'
            break
        case 401:
            result = '结算盈亏'
            break;
        case 402:
            result = '结算递延费'
            break;
        case 403:
            result = '分润收入'
            break;
        case 404:
            result = '延期分润'
            break;
        case 501:
            result = '授信增加'
            break;
        case 502:
            result = '授信减少'
            break;
        case 503:
            result = '转积分'
            break;
        case 504:
            result = '转入'
            break;
        case 505:
            result = '转出'
            break;
        case 506:
            result = '转出冻结'
            break;
        case 507:
            result = '转出解冻'
            break;
        case 601:
            result = '履约金额冻结'
            break;
        case 602:
            result = '履约最大冻结'
            break;
        case 603:
            result = '履约金额解冻'
            break;
        case 604:
            result = '履约扣款'
            break;
        case 605:
            result = '履约收款'
            break;
        case 606:
            result = '履约违约手续费'
            break;
        case 607:
            result = '履约违约收入'
            break;
        case 608:
            result = '履约最大扣款'
            break;
        case 701:
            result = '供应链金融冻结'
            break;
        case 702:
            result = '供应链金融解冻'
            break;
        case 703:
            result = '供应链金融最大冻结'
            break;
        case 704:
            result = '供应链金融利息'
            break;
        case 705:
            result = '供应链金融货款'
            break;
        case 706:
            result = '供应链金融押金'
            break;
        case 707:
            result = '供应链金融最大扣款'
            break;
        case 801:
            result = '仓单贸易冻结'
            break;
        case 802:
            result = '仓单贸易解冻'
            break;
        case 803:
            result = '仓单贸易首付款'
            break;
        case 804:
            result = '仓单贸易最大扣款'
            break;
        case 901:
            result = '商城扣款冻结'
            break;
        case 902:
            result = '商城扣款解冻'
            break;
        case 903:
            result = '商城扣款'
            break;
        case 904:
            result = '商城收款'
            break;
        case 1001:
            result = '期权冻结'
            break;
        case 1002:
            result = '期权解冻'
            break;
        case 1003:
            result = '期权权力金'
            break;
        case 1004:
            result = '期权手续费冻结'
            break;
        case 1005:
            result = '期权手续费解冻'
            break;
        case 1006:
            result = '期权手续费'
            break;
        case 1007:
            result = '期权盈亏'
            break;
        case 1101:
            result = '营销扣款'
            break;
        case 1102:
            result = '营销收款'
            break;
    }
    return result
}